#!/bin/bash

INTRANET=`ip -o link show | awk -F': ' '{print $2}'|grep -v lo|sed -n '2p'`
INTRANET_RANGE=`ip a | grep $INTRANET | sed -n '2p' | awk '{print $2}'`

if [ -e /etc/sysconfig/network-scripts/route-$INTRANET ]; then
   echo "此主機已有設定靜態路由設定"
   exit
fi

yum install -y nmap > /dev/null 2>&1

GW=`nmap -sL -n $INTRANET_RANGE | grep 'Nmap scan report for' | cut -f 5 -d ' ' | sed -n '2p'`

touch /etc/sysconfig/network-scripts/route-$INTRANET
echo "10.100.0.0/16 via $GW dev $INTRANET" > /etc/sysconfig/network-scripts/route-$INTRANET
echo "192.168.0.0/16 via $GW dev $INTRANET" >> /etc/sysconfig/network-scripts/route-$INTRANET
ifdown $INTRANET > /dev/null 2>&1 ; ifup $INTRANET > /dev/null 2>&1

#echo "10.100.0.0/16 via $GW dev $INTRANET"
#echo "192.168.0.0/16 via $GW dev $INTRANET"

ping -c 1 -w 1 10.100.0.1 > /dev/null 2>&1 && result=0 || result=1 

if [ "$result" -eq "0" ]; then
     echo "內網靜態路由設置成功"
else
     echo "內網靜態路由設置失敗"
fi

